<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<!-- Licensed Materials - Property of IBM
     5648-F10 (C) Copyright International Business Machines Corp. 2005
     All Rights Reserved
     US Government Users Restricted Rights - Use, duplication or disclosure
     restricted by GSA ADP Schedule Contract with IBM Corp. -->
<HTML>
<HEAD>

    <script language="javascript">
    // These functions are for log frame control.
    logVisible = false;

    // Show log frame at load time if requested
    function initLogFrame()
    {
        if ( top.LOG_SHOW_AT_LOAD )
        {
            showLogFrame(true);
        }
    }

    // Show log frame
    // logShow: true=show frame, false=Hide frame
    // Sets local environment variable so log frame state will be remembered during reloads
    function showLogFrame(logShow)
    {
        var mainFrame = document.getElementById("mainFrame");
        var _bHeight_= mainFrame.rows.substring(0,mainFrame.rows.indexOf(','));
        logVisible = logShow;
        if ( logShow )
        {
            top.resizeBy(0,200);
            mainFrame.rows = _bHeight_+",*,200";
            // Set an environment variable to remember log frame state
            top.secureSetEnv(new Function('return window'), "LaunchPadShowLog", "true");
        }
        else
        {
            mainFrame.rows = _bHeight_+",*,0";
            // Remember log frame state
            top.secureSetEnv(new Function('return window'), "LaunchPadShowLog", "false");
            top.resizeBy(0,-200);
        }  
    }
    // Show log frame if the banner area is clicked with the control key down
    function bodyClickEvent(e)
    {
        if ( e.ctrlKey && !e.altKey )
        {
            // Toggle log frame visibility
            showLogFrame(!logVisible);
            return(false);
        }
        return(true);
    }

    // Show log frame if the banner is in focus and the control-L key is pressed
    function bodyKeyDownEvent(e)
    {
        if ( e.ctrlKey && !e.altKey && (String.fromCharCode(e.keyCode).toLowerCase() == 'l') )
        {
            // Toggle log frame visibility
            showLogFrame(!logVisible);
            return(false);
        }
        return(true);
    }
    </script>


    <SCRIPT src="../../jscp.js">
    <%@ include file="global.head" %>

    <FRAMESET onload="initLogFrame()" ROWS="<%= property('bannerHeight','66') %>,*,0%" COLS="100%" frameborder="1" border="0" framespacing="0" id="mainFrame">

    <FRAME SRC="<%= findURL(null,'banner.html') %>" scrolling="no" noresize marginwidth="0" marginheight="0" frameborder="0" application="yes">

    <FRAMESET ROWS="100%" COLS="200,*" frameborder="0" border="0" framespacing="0">
    <FRAME SRC="<%= findURL(null,'navigation.html') %>" scrolling="no" marginwidth="0" marginheight="0" frameborder="0" application="yes" name="nav">
    <FRAME SRC="<%= findURL(null,'preload.html') %>"    scrolling="no" marginwidth="0" marginheight="0" frameborder="0" application="yes">
    </FRAMESET>
    <FRAME SRC="<%= findURL(null,'log.html') %>" name="log" scrolling="auto" marginwidth="0" marginheight="0" frameborder="1" application="yes">
    </FRAMESET>
    
    </script>

</HEAD>
</HTML>

